## class Fl_XPM_Image

### Class Hierarchy

    Fl_Pixmap
       |
       +----Fl_XPM_Image

### Include Files

    #include <FL/Fl_XPM_Image.H>

### Additional Libraries

    -lfltk_images  /  fltkimages.lib

### Description

The `Fl_XPM_Image` class supports loading, caching, and drawing of X Pixmap (XPM) images, including transparency.

### Methods

- Fl_XPM_Image
- ~Fl_XPM_Image

#### Fl_XPM_Image::Fl_XPM_Image(const char *filename);

The constructor loads the named XPM image.

#### Fl_XPM_Image::~Fl_XPM_Image();

The destructor free all memory and server resources that are used by the image.